Retrieve full details for a person, including their addresses. The SSN is returned masked (ssnLast4) unless the API key also holds the read:people:ssn scope, in which case the full value is returned in ssn.
Security
ApiKeyAuth
- https://api.pioneerft.com/apihttps://api.pioneerft.com/api/public/v1/people/{id}
- https://api.staging.pioneerft.com/apihttps://api.staging.pioneerft.com/api/public/v1/people/{id}
curl -i -X GET \
'https://api.pioneerft.com/api/public/v1/people/{id}' \
-H 'Authorization: Bearer <YOUR_API Key_HERE>'Response
{ "data": { "id": "string", "firstName": "string", "lastName": "string", "ssnLast4": "string", "role": "string", "ownershipPercent": 0, "middleName": "string", "suffix": "string", "ssn": "string", "email": "string", "phone": "string", "dob": "string", "citizenship": "string", "maritalStatus": "string", "locations": [ { "id": "string", "address": "string", "address2": "string", "city": "string", "state": "string", "zipCode": "string" } ] } }